import type { WithElementRef } from "bits-ui";
import type { HTMLAttributes } from "svelte/elements";
type $$ComponentProps = WithElementRef<HTMLAttributes<HTMLDivElement>> & {
    open?: boolean;
    onOpenChange?: (open: boolean) => void;
    controlledOpen?: boolean;
};
declare const SidebarProvider: import("svelte").Component<$$ComponentProps, {}, "ref" | "open">;
type SidebarProvider = ReturnType<typeof SidebarProvider>;
export default SidebarProvider;
