import type { HTMLAttributes } from "svelte/elements";
import type { WithElementRef } from "bits-ui";
import { type ClassValue } from "clsx";
import type { ThemeConfig } from "./components/theme/types.ts";
export declare function cn(...inputs: ClassValue[]): string;
export type PrimitiveDivAttributes = WithElementRef<HTMLAttributes<HTMLDivElement>>;
export declare function isBrowser(): boolean;
export declare function updateTheme(config: ThemeConfig): void;
/**
 * Apply color and light theme to html body
 */
