import { mode, setMode } from "mode-watcher";
import { config as themeConfig } from "./stores/config.js";
import { clsx } from "clsx";
import { twMerge } from "tailwind-merge";
import { get } from "svelte/store";
export function cn(...inputs) {
    return twMerge(clsx(inputs));
}
export function isBrowser() {
    return typeof document !== "undefined";
}
export function updateTheme(config) {
    themeConfig.set(config);
    // refreshTheme()
}
/**
 * Apply color and light theme to html body
 */
// export function refreshTheme() {
// 	if (!isBrowser()) {
// 		console.warn("Not in browser")
// 		return
// 	}
// 	document.body.classList.forEach((className) => {
// 		if (className.match(/^theme.*/)) {
// 			document.body.classList.remove(className)
// 		}
// 	})
// 	const themeConfigVal = get(themeConfig)
// 	setMode(themeConfigVal.lightMode === "auto" ? "dark" : themeConfigVal.lightMode)
// 	document.body.classList.add(`theme-${themeConfigVal.theme}`)
// }
